Skip to main content
GET
Validate Bank Account
This endpoint validates the recipient bank account details with the destination bank or provider. It is a critical step in the Bank Transfer flow to ensure funds are sent to the correct account.

Request Body

bankCode
string
required
The unique code of the bank (retrieved from list-supported-banks).
transactionType
string
default:"ACCOUNTPAYMENT"
required
The transaction type. Use ACCOUNTPAYMENT for bank transfers.
accountNumber
string
required
The account number to validate.
accountNumberCountry
string
required
ISO 3166-1 alpha-3 country code of the account (e.g., NGA).
expectedCurrencyCode
string
required
The currency of the account (e.g., NGN).

Code Example

cURL

Headers

platform
string
default:fincode
required
uuid
string
default:200
required
X-Auth-Token
string
required

Body

application/json
bankCode
string
required
transactionType
string
default:ACCOUNTPAYMENT
required
accountNumber
string
required
accountNumberCountry
string
required
expectedCurrencyCode
string
required

Response

200

Validation result